package main

import (
	migration "bitbucket.org/prmunty/util/dbmigration/db"
	"database/sql"
	_ "github.com/mattn/go-sqlite3"
	"log"
)

func main() {

	log.Println("starting...")
	const version float64 = 7.0


	migration.Migrate(version, func(tx *sql.Tx) (err error) {
		return migration.DoUntilErr(tx, UserDefinedTableUpdate)
	})

}

func UserDefinedTableUpdate(tx *sql.Tx) error {
	log.Println("1...")
	return migration.DoUntilErr(tx, doUserDefinedUpdate)

}

func doUserDefinedUpdate(tx *sql.Tx) (err error) {
	log.Println("2...")
	_, err = tx.Exec(`DROP TABLE IF EXISTS "user_defined_vessel"; CREATE TABLE "user_defined_vessel"(
	"id" INTEGER,
	"user_id" TEXT,
	"page" VARCHAR(100),
    "vessel_num" INTEGER(5),

    PRIMARY KEY (id, user_id, page, vessel_num),
    FOREIGN KEY (user_id) REFERENCES users (user_id));`)

	return err

}

