function AlarmNotifier(settings) {
    this.warningAddress = settings.warningAddress;
    this.shutdownAddress = settings.shutdownAddress;
    this.shutdownMessage = settings.shutdownMessage;
    this.warningMessage = settings.warningMessage;
    this.normalMessage = settings.normalMessage;
    this.onWarning = settings.onWarning || this.defaultWarning;
    this.onShutdown = settings.onShutdown || this.defaultShutdown;
    this.onOK = settings.onOK || this.defaultOK;
    this.element = settings.element;
    this.wsAddress = settings.wsAddress;
}

AlarmNotifier.prototype.watchForAlarms = function() {
    var notifier = this;
    var elementIdentifier = notifier.element || "#panel-status";
    console.log("I have been Called here", this);
    var panelStatus = $(elementIdentifier);
    var alarms = [
        {
            name: "warning",
            address: notifier.warningAddress
        },
        {
            name: "shutdown",
            address: notifier.shutdownAddress
        }
    ];

    var currAlarms = {
        shutdown: 0,
        warning: 0
    };
    wsRead(alarms, {
        onmessage: function(conn, responseData) {
            var values = responseData.values;
            for (var i = 0 ; i < values.length; i++) {
                var dataPoint = values[i];
                currAlarms[dataPoint.name] = dataPoint.value;
            }

            if (currAlarms["shutdown"] >= 1) {
                
                notifier.onShutdown(currAlarms["shutdown"]);
            } else if (currAlarms["warning"] >= 1) {
                notifier.onWarning(currAlarms["warning"]);
            } else {
                notifier.onOK();
            }
          
        },

        wsAddr: notifier.wsAddress,

    });
    

};

AlarmNotifier.prototype.defaultWarning = function() {
    console.log("Called SON");
    var panelStatus = $("#panel-status");
    var notifier = this;
    $(panelStatus).removeClass("status-shutdown status-ok status-normal").addClass("status-warning");
    $(panelStatus).children("#status-message").text(notifier.warningMessage);
    
}

AlarmNotifier.prototype.defaultShutdown = function() {
    var panelStatus = $("#panel-status");
    var notifier = this;
    $(panelStatus).removeClass("status-warning status-ok status-normal").addClass("status-shutdown");
    $(panelStatus).children("#status-message").text(notifier.shutdownMessage);
    
}

AlarmNotifier.prototype.defaultOK = function() {
    var panelStatus = $("#panel-status");
    var notifier = this;
    $(panelStatus).removeClass("status-warning status-shutdown").addClass("status-ok");
    $(panelStatus).children("#status-message").text(notifier.normalMessage);


}
