/*global $ addPanelMessage getProduct displayStatusModal sendRequest successMessage defaultSendRequestError hideLoading showLoading displayError illegalIPTitle*/
$(document).ready(function() {
    $("#n_keypad-shared").on('show.bs.modal', function(e) {
        var $keypad = $(this);
        if ($keypad.find("#add-modal-label").length < 1) {
            var addModalLabel = $("<div/>").addClass("alert alert-info num-pad-sub-title").attr('id', 'add-modal-label').html(addPanelMessage);
            $keypad.find(".numpad-modal-header").append(addModalLabel);
        }


    });
    
    $("#n_keypad-shared").find(".save-shared").click(function(e) {
        var input = $("#n_keypad-shared").find("#current-num-shared");
        var ip = input.val();
        input.val("");
        addProduct(ip);
        
    });




});

function addProduct(ip) {
    var data = ["http://" + ip];
    if (!validIP(ip))  {
        displayError({
            type: "semanticErr",
            reason: illegalIPTitle
            
        });
        return;
    }
    sendRequest(data, {
        url: "/config/equipment/add",
        success: function() {
            hideLoading();
            displayStatusModal({
                title: successMessage,
                onClose: function() {
                    window.location = "/config/equipment";
                }
            });
        },
        error: function(jqXHR, textStatus, errorThrown) {
            if (jqXHR.status == 303) {
                showLoading();
                window.location = jqXHR.responseJSON.location;
                return;
            }
            defaultSendRequestError(jqXHR, textStatus, errorThrown);
        },
        complete: function(){}
        
    });
    
}

function validIP(ip) {
    var octets =  ip.split(".");
    if (octets.length != 4) {
        return false;
    }
    for (var i in octets) {
        var octet = parseInt(octets[i]);
        if (isNaN(octet) || octet > 255 || octet < 0) {
            return false;
        }
    }

    return true;
}
